PaidGoods
API referenceStorefront

Storefront settings (SEO, socials, integrations, languages, invoices, cookie banner, checkout look)

GET
/v1/stores/{storeId}/storefront/settings

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/storefront/settings"
{  "config": {    "identity": {      "metaTitle": "",      "metaDescription": "",      "metaImageId": null,      "twitterCard": "summary",      "backgroundImageId": null    },    "socials": {      "discord": "",      "youtube": "",      "telegram": "",      "tiktok": "",      "instagram": "",      "x": ""    },    "invoices": {      "taxEnabled": false,      "taxRateBp": 0,      "taxByCountry": {},      "taxInclusive": false,      "taxLabel": "Tax",      "sendPdf": false,      "numberPrefix": "",      "pdfHeader": "",      "pdfNotes": "",      "pdfFooter": "",      "buyerTerm": "order"    },    "languages": {      "default": "en",      "enabled": [],      "autoDetect": true    },    "integrations": {      "gtag": "",      "gtm": "",      "metaPixel": "",      "crisp": "",      "tawkto": "",      "trustpilotBcc": ""    },    "discord": {      "clientId": "",      "allowLogin": false    },    "misc": {      "redirectToCustomDomain": true,      "noindex": false,      "hideOutOfStockProducts": false,      "hideOutOfStockVariants": false,      "refundOutOfStockToBalance": false,      "poweredBy": false,      "maintenance": false,      "openAt": "",      "accessMode": "public",      "gatedCategoryIds": [],      "statsBaseline": null    },    "cookieBanner": {      "enabled": false,      "mode": "auto",      "position": "bar",      "days": 180,      "policyVersion": 1,      "title": "",      "message": ""    },    "checkout": {      "preset": "default",      "accent": "",      "accentText": "",      "light": {        "page": "",        "panel": "",        "input": "",        "muted": ""      },      "dark": {        "page": "",        "panel": "",        "input": "",        "muted": ""      },      "useStoreBackground": false,      "radius": 3,      "spacing": "default",      "border": "default",      "textSize": "default",      "defaultScheme": "dark",      "allowSchemeToggle": true,      "fields": {        "billingAddress": false,        "phone": false,        "affiliateCode": false,        "combineCrypto": true      },      "couponMode": "collapsed",      "display": {        "productImages": true,        "payOnMobile": true,        "socialLinks": true,        "invoicePdfLink": false,        "emailNote": true,        "completionSound": false,        "fullscreenRedirect": false,        "cashbackBadge": false      },      "supportCard": "form",      "completedBlocks": [        "instructions",        "files",        "deliverables",        "thank_you"      ],      "termsCheckbox": false,      "termsPrechecked": false,      "withdrawal": {        "immediateDeliveryCheckbox": false,        "form": false,        "euOnly": true      },      "customCss": ""    }  },  "secrets": {    "discordClientSecret": true,    "discordBotToken": true,    "maintenancePassword": true  },  "discord": {    "redirectUri": "string",    "inviteUrl": "string"  },  "languages": [    {      "code": "string",      "name": "string",      "native": "string",      "translated": true    }  ],  "storeUrl": "string",  "stats": {    "productsSold": -9007199254740991,    "customers": -9007199254740991  }}